opencv: cv::MatConstIterator Class Reference

Public Types | Public Member Functions | Public Attributes

# cv::MatConstIterator Class Reference

`#include <core.hpp>`

Inheritance diagram for cv::MatConstIterator:

List of all members.

## Public Types
typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef const uchar ** | pointer
typedef uchar * | reference
typedef uchar * | value_type
## Public Member Functions
ptrdiff_t | lpos () const
| MatConstIterator ()
| default constructor
| MatConstIterator (const Mat *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatConstIterator (const Mat *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const Mat *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const Mat *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const MatConstIterator &it)
| copy constructor
uchar * | operator* () const
| returns the current matrix element
MatConstIterator | operator++ (int)
| increments the iterator
MatConstIterator & | operator++ ()
| increments the iterator
MatConstIterator & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatConstIterator & | operator-- ()
| decrements the iterator
MatConstIterator | operator-- (int)
| decrements the iterator
MatConstIterator & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatConstIterator & | operator= (const MatConstIterator &it)
| copy operator
uchar * | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current
Point | pos () const
| returns the current iterator position
void | pos (int *_idx) const
| returns the current iterator position
void | seek (const int *_idx, bool relative=false)
void | seek (ptrdiff_t ofs, bool relative=false)
## Public Attributes
size_t | elemSize
const Mat * | m
uchar * | ptr
uchar * | sliceEnd
uchar * | sliceStart

## Member Typedef Documentation

typedef ptrdiff_t cv::MatConstIterator::difference_type

Reimplemented in cv::MatConstIterator_< _Tp >.

typedef std::random_access_iterator_tag cv::MatConstIterator::iterator_category

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

typedef const uchar** cv::MatConstIterator::pointer

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

typedef uchar* cv::MatConstIterator::reference

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

typedef uchar* cv::MatConstIterator::value_type

Reimplemented in cv::MatConstIterator_< _Tp >.

## Constructor & Destructor Documentation

cv::MatConstIterator::MatConstIterator | ( | ) | `[inline]`

default constructor

cv::MatConstIterator::MatConstIterator | ( | const Mat * | _m ) | `[inline]`

constructor that sets the iterator to the beginning of the matrix

cv::MatConstIterator::MatConstIterator | ( | const Mat * | _m,
|  | int | _row,
|  | int | _col = `0`
| ) |  | `[inline]`

constructor that sets the iterator to the specified element of the matrix

cv::MatConstIterator::MatConstIterator | ( | const Mat * | _m,
|  | Point | _pt
| ) |  | `[inline]`

constructor that sets the iterator to the specified element of the matrix

cv::MatConstIterator::MatConstIterator | ( | const Mat * | _m,
|  | const int * | _idx
| ) |  |

constructor that sets the iterator to the specified element of the matrix

cv::MatConstIterator::MatConstIterator | ( | const MatConstIterator & | it ) | `[inline]`

copy constructor

## Member Function Documentation

ptrdiff_t cv::MatConstIterator::lpos | ( | ) | const

uchar * cv::MatConstIterator::operator* | ( | ) | const`[inline]`

returns the current matrix element

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

MatConstIterator & cv::MatConstIterator::operator++ | ( | ) | `[inline]`

increments the iterator

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

MatConstIterator cv::MatConstIterator::operator++ | ( | int | ) | `[inline]`

increments the iterator

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

MatConstIterator & cv::MatConstIterator::operator+= | ( | ptrdiff_t | ofs ) | `[inline]`

shifts the iterator forward by the specified number of elements

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

MatConstIterator & cv::MatConstIterator::operator-- | ( | ) | `[inline]`

decrements the iterator

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

MatConstIterator cv::MatConstIterator::operator-- | ( | int | ) | `[inline]`

decrements the iterator

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

MatConstIterator & cv::MatConstIterator::operator-= | ( | ptrdiff_t | ofs ) | `[inline]`

shifts the iterator backward by the specified number of elements

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

MatConstIterator & cv::MatConstIterator::operator= | ( | const MatConstIterator & | it ) | `[inline]`

copy operator

uchar * cv::MatConstIterator::operator[] | ( | ptrdiff_t | i ) | const`[inline]`

returns the i-th matrix element, relative to the current

Reimplemented in cv::MatConstIterator_< _Tp >, and cv::MatIterator_< _Tp >.

void cv::MatConstIterator::pos | ( | int * | _idx ) | const

returns the current iterator position

Point cv::MatConstIterator::pos | ( | ) | const

returns the current iterator position

Reimplemented in cv::MatConstIterator_< _Tp >.

void cv::MatConstIterator::seek | ( | ptrdiff_t | ofs,
|  | bool | relative = `false`
| ) |  |

void cv::MatConstIterator::seek | ( | const int * | _idx,
|  | bool | relative = `false`
| ) |  |

## Member Data Documentation

size_t cv::MatConstIterator::elemSize

const Mat* cv::MatConstIterator::m

uchar* cv::MatConstIterator::ptr

uchar* cv::MatConstIterator::sliceEnd

uchar* cv::MatConstIterator::sliceStart

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines